
QGIS Application - Bug report #16821

Building errors.

2017-07-09 05:28 PM - 伟 刘

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows 10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 24720

Description

Building environment：

Visual Studio 2015 x64

Qt5.7.1(VS2015x64)

CMake 3.8.0

OSGEO4W x64(sio4.19 PyQt5 Python3.6 ......)

CgyWin x64

while building:

1. Lots of utf-8 character errors.

I found two ways to solve this problem: 

   1.1 change characters.

   1.2 change file codepage to utf-8 with bom.

After solve these problems, another problem appears:

2. building pyconsole error occurs: UnicodeDecodeError: 'utf-8' codec can't decode bytes in position 4216-4217: invalid continuation

byte'

Building Custom Rule D:/Gis.Development/sgis/python/console/CMakeLists.txt

   CMake does not need to re-run because D:/Gis.Development/build-sgis-VS/python/console/CMakeFiles/generate.stamp is

up-to-date.

   Generating ui_console_compile_apis.py

   Traceback (most recent call last):

   File "D:\Gis.Development\sgis\scripts\\pyuic-wrapper.py", line 26, in &lt;module&gt;

   import qgis.PyQt.uic.pyuic

   File "D:\Gis.Development\build-sgis-VS\output\python\qgis\__init__.py", line 72, in &lt;module&gt;

   from qgis.core import QgsFeature, QgsGeometry

   File "D:\Gis.Development\build-sgis-VS\output\python\qgis\core\__init__.py", line 34, in &lt;module&gt;

   from qgis._core import *

   UnicodeDecodeError: 'utf-8' codec can't decode bytes in position 4216-4217: invalid continuation byte'

Related issues:

Related to QGIS Application - Bug report # 16818: build error while building ... Closed 2017-07-09

History

#1 - 2017-07-10 01:45 PM - Giovanni Manghi

- Resolution set to duplicate

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Closed

see #16818
#2 - 2017-07-10 06:02 PM - Jürgen Fischer

- Related to Bug report #16818: build error while building py_console added
